Account, security & notifications

Get Required Agreements For Transition

Resolves which onboarding agreement templates a role must sign to transition to a target employment type.

GEThttps://api.toku.com/hris/get-required-agreements-for-transition

Required scope: people:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-required-agreements-for-transition?roleInOrgID=%3CroleInOrgID%3E&targetEmploymentType=CONTRACTOR' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "requiredAgreements": [
    {
      "templateKey": "string",
      "displayName": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

roleInOrgIDstring<uuid>required
targetEmploymentTypestringrequired

Available options: CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER

contractorTypestring

Available options: CLIENT_MANAGED, TOKU_CONTRACTOR, AGENT_OF_RECORD

employmentServiceTypestring

Available options: EOR, PEO, PAYROLL_ONLY

Response

200Successful response
requiredAgreementsobject[]required
Show child attributes
templateKeystringrequired
displayNamestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits